org.keycloak.events

## Enum EventType

- java.lang.Object
- - java.lang.Enum<EventType>
  - - org.keycloak.events.EventType

- All Implemented Interfaces:
    Serializable, Comparable<EventType>

      public enum EventType
      extends Enum<EventType>

  Author:
    Stian Thorgersen

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CODE_TO_TOKEN`
    `CODE_TO_TOKEN_ERROR`
    `INVALID_SIGNATURE_ERROR`
    `LOGIN`
    `LOGIN_ERROR`
    `LOGOUT`
    `LOGOUT_ERROR`
    `REFRESH_TOKEN`
    `REFRESH_TOKEN_ERROR`
    `REGISTER`
    `REGISTER_ERROR`
    `REGISTER_NODE`
    `REMOVE_SOCIAL_LINK`
    `REMOVE_SOCIAL_LINK_ERROR`
    `REMOVE_TOTP`
    `REMOVE_TOTP_ERROR`
    `RESET_PASSWORD`
    `RESET_PASSWORD_ERROR`
    `SEND_RESET_PASSWORD`
    `SEND_RESET_PASSWORD_ERROR`
    `SEND_VERIFY_EMAIL`
    `SEND_VERIFY_EMAIL_ERROR`
    `SOCIAL_LINK`
    `SOCIAL_LINK_ERROR`
    `UNREGISTER_NODE`
    `UPDATE_EMAIL`
    `UPDATE_EMAIL_ERROR`
    `UPDATE_PASSWORD`
    `UPDATE_PASSWORD_ERROR`
    `UPDATE_PROFILE`
    `UPDATE_PROFILE_ERROR`
    `UPDATE_TOTP`
    `UPDATE_TOTP_ERROR`
    `VALIDATE_ACCESS_TOKEN`
    `VALIDATE_ACCESS_TOKEN_ERROR`
    `VERIFY_EMAIL`
    `VERIFY_EMAIL_ERROR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOGIN

          public static final EventType LOGIN

    - #### LOGIN_ERROR

          public static final EventType LOGIN_ERROR

    - #### REGISTER

          public static final EventType REGISTER

    - #### REGISTER_ERROR

          public static final EventType REGISTER_ERROR

    - #### LOGOUT

          public static final EventType LOGOUT

    - #### LOGOUT_ERROR

          public static final EventType LOGOUT_ERROR

    - #### CODE_TO_TOKEN

          public static final EventType CODE_TO_TOKEN

    - #### CODE_TO_TOKEN_ERROR

          public static final EventType CODE_TO_TOKEN_ERROR

    - #### REFRESH_TOKEN

          public static final EventType REFRESH_TOKEN

    - #### VALIDATE_ACCESS_TOKEN

          public static final EventType VALIDATE_ACCESS_TOKEN

    - #### VALIDATE_ACCESS_TOKEN_ERROR

          public static final EventType VALIDATE_ACCESS_TOKEN_ERROR

    - #### REFRESH_TOKEN_ERROR

          public static final EventType REFRESH_TOKEN_ERROR

    - #### SOCIAL_LINK

          public static final EventType SOCIAL_LINK

    - #### SOCIAL_LINK_ERROR

          public static final EventType SOCIAL_LINK_ERROR

    - #### REMOVE_SOCIAL_LINK

          public static final EventType REMOVE_SOCIAL_LINK

    - #### REMOVE_SOCIAL_LINK_ERROR

          public static final EventType REMOVE_SOCIAL_LINK_ERROR

    - #### UPDATE_EMAIL

          public static final EventType UPDATE_EMAIL

    - #### UPDATE_EMAIL_ERROR

          public static final EventType UPDATE_EMAIL_ERROR

    - #### UPDATE_PROFILE

          public static final EventType UPDATE_PROFILE

    - #### UPDATE_PROFILE_ERROR

          public static final EventType UPDATE_PROFILE_ERROR

    - #### UPDATE_PASSWORD

          public static final EventType UPDATE_PASSWORD

    - #### UPDATE_PASSWORD_ERROR

          public static final EventType UPDATE_PASSWORD_ERROR

    - #### UPDATE_TOTP

          public static final EventType UPDATE_TOTP

    - #### UPDATE_TOTP_ERROR

          public static final EventType UPDATE_TOTP_ERROR

    - #### VERIFY_EMAIL

          public static final EventType VERIFY_EMAIL

    - #### VERIFY_EMAIL_ERROR

          public static final EventType VERIFY_EMAIL_ERROR

    - #### REMOVE_TOTP

          public static final EventType REMOVE_TOTP

    - #### REMOVE_TOTP_ERROR

          public static final EventType REMOVE_TOTP_ERROR

    - #### SEND_VERIFY_EMAIL

          public static final EventType SEND_VERIFY_EMAIL

    - #### SEND_VERIFY_EMAIL_ERROR

          public static final EventType SEND_VERIFY_EMAIL_ERROR

    - #### SEND_RESET_PASSWORD

          public static final EventType SEND_RESET_PASSWORD

    - #### SEND_RESET_PASSWORD_ERROR

          public static final EventType SEND_RESET_PASSWORD_ERROR

    - #### RESET_PASSWORD

          public static final EventType RESET_PASSWORD

    - #### RESET_PASSWORD_ERROR

          public static final EventType RESET_PASSWORD_ERROR

    - #### INVALID_SIGNATURE_ERROR

          public static final EventType INVALID_SIGNATURE_ERROR

    - #### REGISTER_NODE

          public static final EventType REGISTER_NODE

    - #### UNREGISTER_NODE

          public static final EventType UNREGISTER_NODE

  - ### Method Detail

    - #### values

          public static EventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventType c : EventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.